{
  lib,
  python3,
  fetchPypi,
  oic,
}:

python3.pkgs.buildPythonPackage rec {
  pname = "pyop";
  version = "3.4.0";
  pyproject = true;

  src = fetchPypi {
    inherit pname version;
    hash = "sha256-4Iq+TVNH7Pq1Q/Xkdeg8FTqLIjGF673qq0AV/4TjkvE=";
  };

  nativeBuildInputs = with python3.pkgs; [
    setuptools
    wheel
  ];

  propagatedBuildInputs = with python3.pkgs; [
    oic
    pycryptodomex
  ];

  pythonImportsCheck = [ "pyop" ];

  meta = with lib; {
    description = "OpenID Connect Provider (OP) library in Python";
    homepage = "https://pypi.org/project/pyop";
    license = licenses.asl20;
    maintainers = with maintainers; [ ];
  };
}
