{ config, ... }:

let
  host = "push.dgnum.eu";
  port = 2586;
in
{
  services.ntfy-sh = {
    enable = true;

    settings = {
      base-url = "https://${host}";
      behind-proxy = true;
      manager-interval = "1h";
      auth-default-access = "deny-all";
      enable-signup = true;
      enable-login = true;
    };
  };

  dgn-web.simpleProxies.ntfy-sh = {
    inherit host port;
    proxyWebsockets = true;
  };

  systemd.services.ntfy-sh.serviceConfig.EnvironmentFile = [
    config.age.secrets."ntfy_sh-environment_file".path
  ];
}
