/*
  To add a new member add an attribute to `members`
  Then add the key to the required groups.
*/

{
  members = {
    agroudiev = {
      name = "Antoine Groudiev";
      email = "antoine.groudiev@dgnum.eu";
    };

    catvayor = {
      name = "Lubin Bailly";
      email = "catvayor@dgnum.eu";
      username = "lbailly";
    };

    cst1 = {
      name = "Constantin Gierczak--Galle";
      email = "cst1@dgnum.eu";
      username = "cgierczakgalle";
    };

    ecoppens = {
      name = "Elias Coppens";
      email = "ecoppens@dgnum.eu";
    };

    jemagius = {
      name = "Jean-Marc Gailis";
      email = "jm@dgnum.eu";
      username = "jgailis";
    };

    luj = {
      name = "Julien Malka";
      email = "luj@dgnum.eu";
      username = "jmalka";
    };

    mboyer = {
      name = "Matthieu Boyer";
      email = "matthieu.boyer@dgnum.eu";
      username = "mboyer02";
    };

    mdebray = {
      name = "Maurice Debray";
      email = "maurice.debray@dgnum.eu";
    };

    raito = {
      name = "Ryan Lahfa";
      email = "ryan@dgnum.eu";
      username = "rlahfa";
    };

    thubrecht = {
      name = "Tom Hubrecht";
      email = "tom.hubrecht@dgnum.eu";
    };
  };

  groups = {
    # members of this group are root on all nodes
    root = [
      "thubrecht"
      "raito"
      "mdebray"
    ];

    # members of this group are root on the fai infrastructure
    fai = [
      "catvayor"
      "ecoppens"
    ];

    lab = [
      "catvayor"
      "cst1"
      "ecoppens"
    ];

  };

  external = {
    dns = [
      "thubrecht"
      "raito"
    ];

    email = [ "raito" ];

    irc = [ "raito" ];
  };

  services = {
    # Démarches Normaliennes
    ds-fr.admins = [
      "thubrecht"
      "jemagius"
    ];

    # Cloud DGNum
    nextcloud.admins = [
      "thubrecht"
      "raito"
    ];

    # Netbox DGNum
    netbox.adminGroups = [
      "root"
      "fai"
    ];

    # AP administration DGNum
    ap.adminGroups = [
      "root"
      "fai"
    ];

    # Videos DGNum
    peertube.admins = [ "thubrecht" ];
  };
}
