{ pkgs }:

let
  inherit (pkgs.lib) mapAttrs;

  inherit (pkgs)
    writeShellApplication
    colmena
    jq
    nvd
    ;

  scripts = {
    cache-node = [ colmena ];
    check-deployment = [
      colmena
      jq
      nvd
    ];
    launch-vm = [ colmena ];
    list-nodes = [ jq ];
  };
in

mapAttrs (
  name: runtimeInputs:
  writeShellApplication {
    inherit name runtimeInputs;

    text = builtins.readFile ./${name}.sh;
  }
) scripts
