{ lib }:

let
  inherit (lib) attrNames genAttrs;

  nodes = attrNames (builtins.readDir ../machines);
in

{
  name = "Build all the nodes";
  on = {
    pull_request.branches = [ "main" ];
    push.branches = [ "main" ];
  };

  jobs = genAttrs nodes (node: {
    runs-on = "nix";
    steps = [
      { uses = "actions/checkout@v3"; }
      {
        name = "Build and cache ${node}";
        run = "nix-shell -A eval-nodes --run cache-node";
        env = {
          STORE_ENDPOINT = "https://tvix-store.dgnum.eu/infra-signing/";
          STORE_USER = "admin";
          STORE_PASSWORD = "\${{ secrets.STORE_PASSWORD }}";
          BUILD_NODE = node;
        };
      }
    ];
  });
}
